Bug 1043040 (CVE-2013-6492)

Summary: CVE-2013-6492 piranha: web UI authentication bypass using POST requests
Product: [Other] Security Response Reporter: Athmane Madjoudj <athmanem>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: andreas.schiermeier, cluster-maint, fdinitto, jkurik, rohara, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: impact=important,public=20131211,reported=20131213,source=researcher,cvss2=5.8/AV:A/AC:L/Au:N/C:P/I:P/A:P,rhel-5/piranha=affected,rhel-6/piranha=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-13 14:50:31 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1061903, 1061904, 1061905, 1061906    
Bug Blocks: 1043709    
Attachments:
Description Flags
Auth bypass fix none

Description Athmane Madjoudj 2013-12-13 14:58:51 EST
Created attachment 836487 [details]
Auth bypass fix

Description of problem:

In Piranha web UI configuration, only GET requests require authentication (via <Limit GET>...</Limit> in config file), it's possible to display some page by sending POST requests.

Version-Release number of selected component (if applicable):
piranha-0.8.6-4.el6.x86_64


Steps to Reproduce:

1. GET requests require authentication as expected:

# curl  -I http://192.168.1.34:3636/secure/control.php
HTTP/1.1 401 Authorization Required
Date: Fri, 13 Dec 2013 20:43:35 GMT
Server: Apache/2.2.15 (CentOS) PHP/5.3.3
WWW-Authenticate: Basic realm="access to the piranha web GUI"
Connection: close
Content-Type: text/html; charset=iso-8859-1

2. The same request but with POST:

# curl -d'' -I http://192.168.1.34:3636/secure/control.php 
<HTML>
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML Strict Level 3//EN">

<HEAD>
<TITLE>Piranha (Control/Monitoring)</TITLE>
<STYLE TYPE="text/css">
[...]
[...]
[...]
</FORM>
</TD></TR></TABLE>
</BODY>


Actual results:
Admin page displayed

Expected results:
Admin page denied

Additional info:
A fix is attached
Comment 1 Vincent Danen 2013-12-16 19:25:28 EST
This would indeed be a security issue, so I'm going to turn this into an SRT bug and get a CVE assigned.  Thank you for this report.
Comment 2 Vincent Danen 2013-12-16 19:34:41 EST
This also looks to affect upstream piranha as the httpd.conf in question is included in the source file.
Comment 7 Tomas Hoger 2014-02-05 09:51:38 EST
Original report in the CentOS bug tracker:

http://bugs.centos.org/view.php?id=6825
Comment 8 Tomas Hoger 2014-02-05 10:44:37 EST
Bumping priority, this can be effectively used to modify lvs.cf configuration file.
Comment 12 errata-xmlrpc 2014-02-13 13:48:05 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0175 https://rhn.redhat.com/errata/RHSA-2014-0175.html
Comment 13 errata-xmlrpc 2014-02-13 13:48:20 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0174 https://rhn.redhat.com/errata/RHSA-2014-0174.html